stages:
  - build
  - test
  - release # only for tags

# Jobs

# Build job
build:
  image: node:14.16.1
  stage: build
  before_script:
    # Install vuecli    
    - npm install -g @vue/cli@latest
    # Install dependencies    
    - npm install
  script:
    # Build App
    - npm run build
  artifacts:
    paths:
      - "./dist/" # dist directory

# Test job
test:
  image: node:14.16.1
  stage: test
  script:
    - echo "test"
    # - npm run test
  # artifacts:
  #   paths:
  #     - "./tests/output/"

# Release job: create release on last tag
gitlab_release:
  stage: release
  image: registry.gitlab.com/gitlab-org/release-cli
  only:
    - tags
  script:
    - >
      release-cli create --name release-$CI_COMMIT_TAG
      --description $CI_COMMIT_TAG
      --tag-name $CI_COMMIT_TAG
